WordPress.org

Support

Support » Plugins and Hacks » [Plugin: Ultimate TinyMCE] QR Code https error.

[Plugin: Ultimate TinyMCE] QR Code https error.

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author Josh

    @josh401

    Yeah… it’s because it’s a “hard” url. There isn’t a way to code it relative to the wordpress installation.

    Ummm… Did you notice there are two separate areas which call the qr code? One is directly below the other in the main.php file. Did you change both of these to https?

    Chais Meyer

    @meyerthreedotinccom

    Hey Josh, Yes I did. I changed the two instances and no luck.
    Anything else?

    Plugin Author Josh

    @josh401

    Nothing comes to mind immediately. I’ll need to dig around a little, and see what other people are doing.

    Will you post back in 24 hours if I haven’t responded by then… to remind me?

    Chais Meyer

    @meyerthreedotinccom

    Hey there Josh, any luck on the SSL stuff with the QR code generator?

    Plugin Author Josh

    @josh401

    Not yet… but thanks for reminding me. I’m going to email my two theme developer buddies and see if they might know a reason. I’ll do that now.

    Gimme another 24 hours and check back?

    Plugin Author Josh

    @josh401

    Hey Chais… sorry for the delay on this… (man, 2 months… really?!)

    Anyways… I’ve got some extra time to take another look at this. Have you tried anything… or is it still generating the error message?

    Chais Meyer

    @meyerthreedotinccom

    Hey there Josh, I haven’t done anything yet but disable this section of the plugin because the error was still happening.

    Thanks for getting back to me and I hope to see a fix come around shortly! 🙂

    Let me know when you have some code changes and I’ll test it out on my site for you.
    Chais

    Plugin Author Josh

    @josh401

    Sure thing.

    Okay…

    1. What was the error message? Can you grab it again?

    2. How exactly are you setting your site to https?

    Chais Meyer

    @meyerthreedotinccom

    The error message I’m getting in console is: *select page* “displayed insecure content from http://api.qrserver.com/v1/create-qr-code/?data=https://www.shirtsayings.net/shop/everything-changes/&size=75×75.”

    It happens on every product page/post when the qr code is enabled.

    Thanks.

    Chais Meyer

    @meyerthreedotinccom

    Oh ya, my site is set up for https on the server level, then I have a .htaccess rewrite that makes the whole domain https by default…I think. 😛

    Plugin Author Josh

    @josh401

    Okay.

    You know… I can’t find anything on “https qr code”… it’s like it doesn’t even exist. I have seen some qr codes which will redirect to an https site… but that’s not going to help us.

    Hmmm… I’ve also read a lot about changing http to https. It seems that doing this should fix the issue. I did read one post where someone made the change… and someone else mentioned it sometimes takes Google Chrome a little while to reflect the change.

    Perhaps make the change again… and leave it that way for a day or two. Then, go back and see how Chrome handles it.

    I’ll keel digging to… but it doesn’t look too promising… (keeping fingers crossed)

    Chais Meyer

    @meyerthreedotinccom

    Thanks Josh.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘[Plugin: Ultimate TinyMCE] QR Code https error.’ is closed to new replies.